View node rerun plan

Check available modes, affected nodes, and verification results for reruns from the specified node. Create a rerun only if the plan passes verification.

GET https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/{workflow_id}/executions/{execution_id}/nodes/{node_key}/rerun-plan

Preparation before calling

First query the job node and confirm the node key to be used as the starting point for re-running. Prepare a personal access token and target workspace ID that has access to the target workspace.

Query parameters

workflow_idstring
Workflow ID.
execution_idstring
Source job ID.
node_keystring
The node key to start the rerun from.
source_node_execution_idstring
Used when selecting from multiple node execution candidates.

Request example

curl "https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/$WORKFLOW_ID/executions/$EXECUTION_ID/nodes/$NODE_KEY/rerun-plan" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

codestring
`OK` when successful.
msgstring
`OK` when successful.
data.plan.workflow_idstring
Workflow ID.
data.plan.source_execution_idstring
Source job ID.
data.plan.node_keystring
The node key of the rerun starting point.
data.plan.source_node_execution_idstring
Selected source node execution ID.
data.plan.rerun_contract_hashstring
Plan contract hash; can be used when created to prevent the use of expired plans.
data.plan.available_modesstring[]
Can be used to create rerun patterns.
data.plan.affected_downstream_nodes[]array
Affected downstream nodes; only returned if there is a value.
data.plan.validation.okboolean
Whether the plan passes the verification.
data.plan.validation.codestring
Error code when verification fails; only returned if there is a value.
data.plan.validation.messagestring
Error message when verification fails; only returned if there is a value.
data.plan.validation.reasonsstring[]
Reasons when verification fails; only returned if there is a value.
data.plan.candidates[]array
Source node execution candidates; only returned if there are multiple candidates.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "plan": {
      "workflow_id": "wf-001",
      "source_execution_id": "exec-001",
      "node_key": "root.load",
      "source_node_execution_id": "node-exec-001",
      "rerun_contract_hash": "rgh-001",
      "available_modes": ["continue_from_node"],
      "validation": {
        "ok": true
      },
      "candidates": []
    }
  }
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrNotFound",
  "msg": "资源不存在",
  "data": null
}

Follow-up operations

Save rerun_contract_hash, and then rerun from the specified node.

Last updated on